<?php
/**
 *    This file is part of "Liberty Gaming NQ Stats Analyzer".
 *
 *    "Liberty Gaming NQ Stats Analyzer" is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 3 of the License, or
 *    (at your option) any later version.
 *
 *    "Liberty Gaming NQ Stats Analyzer" is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


// Factors to use for player rating calculation
define('RATING_FACTOR_KILL',                0.75);
define('RATING_FACTOR_FIRST_KILL',          1.50);
define('RATING_FACTOR_KILL_SPREE',          0.10);
define('RATING_FACTOR_OBJECTIVES_TAKEN',    2.00);
define('RATING_FACTOR_SECONDS_PLAYED',      0.005);
define('RATING_FACTOR_REVIVE',              0.75);
define('RATING_FACTOR_HEALTH_PACK',         0.20);
define('RATING_FACTOR_AMMO_PACK',           0.20);
define('RATING_FACTOR_DYNAMITE_PLANT',      2.50);
define('RATING_FACTOR_DYNAMITE_DIFFUSE',    2.50);
define('RATING_FACTOR_REPAIR',              1.50);
define('RATING_FACTOR_DISGUISE',            1.50);
define('RATING_FACTOR_KILLED_BY_ENEMY',    -0.75);
define('RATING_FACTOR_FIRST_DEATH',        -1.50);
define('RATING_FACTOR_KILLED_BY_TEAMMATE', -0.35);
define('RATING_FACTOR_KILLED_BY_WORLD',    -0.75);
define('RATING_FACTOR_SUICIDE',            -1.50);
define('RATING_FACTOR_DEATH_SPREE',        -0.10);
define('RATING_FACTOR_TEAMKILL',           -1.50);


// Factors to use for awards calculation
// ...medic
define('AWARDS_FACTOR_REVIVE',            1.00);
define('AWARDS_FACTOR_HEALTH_PACK',       0.15);
// ... engineer
define('AWARDS_FACTOR_DYNAMITE_PLANT',    2.00);
define('AWARDS_FACTOR_DYNAMITE_DIFFUSE',  2.00);
define('AWARDS_FACTOR_REPAIR',            2.00);
define('AWARDS_FACTOR_ENGINEER_KILL',     0.50);
// ... field op
define('AWARDS_FACTOR_AMMO_GIVEN',        0.15);
define('AWARDS_FACTOR_FIELDOP_KILL',      1.00);
// ... covert op
define('AWARDS_FACTOR_DISGUISE',          1.00);
define('AWARDS_FACTOR_COVERTOP_KILL',     0.15);

?>